Package org.drinkless.tdlib

# Class TdApi.PaymentProviderSmartGlocal

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PaymentProvider
org.drinkless.tdlib.TdApi.PaymentProviderSmartGlocal

Enclosing class:
  `TdApi`

public static class TdApi.PaymentProviderSmartGlocal extends TdApi.PaymentProvider
Smart Glocal payment provider.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PaymentProvider

  `TdApi.PaymentProvider.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `publicToken`
  Public payment token.
  `String`
  `tokenizeUrl`
  URL for sending card tokenization requests.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentProviderSmartGlocal()`
  Smart Glocal payment provider.
  `PaymentProviderSmartGlocal(String publicToken, String tokenizeUrl)`
  Smart Glocal payment provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### publicToken

    public String publicToken
    Public payment token.

  - ### tokenizeUrl

    public String tokenizeUrl
    URL for sending card tokenization requests.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PaymentProviderSmartGlocal

    public PaymentProviderSmartGlocal()
    Smart Glocal payment provider.

  - ### PaymentProviderSmartGlocal

    public PaymentProviderSmartGlocal(String publicToken, String tokenizeUrl)
    Smart Glocal payment provider.
    Parameters:
      `publicToken` - Public payment token.
      `tokenizeUrl` - URL for sending card tokenization requests.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PaymentProvider`
    Returns:
      this.CONSTRUCTOR